Subject: Re: [Bitcoin-development] 75%/95% threshold for transaction versions

From: Pieter Wuille <[email-masked]>
Date: Wed, 15 Apr 2015 22:22:00 -0700

On Apr 16, 2015 1:46 AM, "s7r" <[email-masked]> wrote:
> but for transaction versions? In simple terms, if > 75% from all the
> transactions in the latest 1000 blocks are version 'n', mark all
> previous transaction versions as non-standard and if > 95% from all the
> transactions in the latest 1000 blocks are version 'n' mark all previous
> transaction versions as invalid.

What problem are you trying to solve?

The reason why BIP62 (as specified, it is just a draft) does not make v1
transactions invalid is because it is opt-in. The creator of a transaction
needs to agree to protect it from malleability, and this subjects him to
extra rules in the creation.

Forcing v3 transactions would require every piece of wallet software to be
changed.

-- 
Pieter